<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/PortShieldL293d.cpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('PortShieldL293d_8cpp_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">PortShieldL293d.cpp</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*************************************************************</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">project: &lt;Accessories&gt;</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">author: &lt;Thierry PARIS&gt;</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">description: &lt;Driver port for L293n&gt;</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">*************************************************************/</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;</div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#if !defined(__AVR_ATmega32U4__)</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="Accessories_8h.html">Accessories.h</a>&quot;</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#ifndef NO_SHIELDL293D</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div><div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="classPortShieldL293d.html#a6ec767de5bb868a01750b9d1a6d14955">   13</a></span>&#160;<a class="code" href="classPortShieldL293d.html#a6ec767de5bb868a01750b9d1a6d14955">PortShieldL293d::PortShieldL293d</a>()</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;{</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;}</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div><div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="classPortShieldL293d.html#aa30d3e781c53d9058e8aa4309b08002e">   17</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classPort.html#a110847fdec661d0e94a3a22edd9fe32a">PortShieldL293d::begin</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> inOutPort, uint8_t inSpeed, uint8_t inFreq)</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;{</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;    this-&gt;<a class="code" href="classPortShieldL293d.html#a1b3c5af1fe94b446db4cfa3a385b1f9a">pmotor</a> = <span class="keyword">new</span> AF_DCMotor(inOutPort, inFreq);</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;    this-&gt;<a class="code" href="classPortShieldL293d.html#a1b3c5af1fe94b446db4cfa3a385b1f9a">pmotor</a>-&gt;pwmfreq = inFreq;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    this-&gt;<a class="code" href="classPortShieldL293d.html#a1b3c5af1fe94b446db4cfa3a385b1f9a">pmotor</a>-&gt;setSpeed(inSpeed);</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160; </div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#ifdef ACCESSORIES_PRINT_ACCESSORIES</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    this-&gt;printedOutPort = inOutPort;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    this-&gt;printedSpeed = inSpeed;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    this-&gt;<a class="code" href="classPortShieldL293d.html#a1b3c5af1fe94b446db4cfa3a385b1f9a">pmotor</a>-&gt;run(RELEASE);</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;}</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="classPortShieldL293d.html#ad40ad4a8cc43e383b7b5d8cb1813b2ea">   31</a></span>&#160;<span class="keywordtype">int</span> <a class="code" href="classPortShieldL293d.html#ad40ad4a8cc43e383b7b5d8cb1813b2ea">PortShieldL293d::SetSpeed</a>(uint8_t inSpeed)</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;{</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    <span class="keywordtype">int</span> oldspeed = <a class="code" href="classPort.html#a676359ed59bf5091126fd96e1a04cafa">Port::SetSpeed</a>(inSpeed);</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    this-&gt;<a class="code" href="classPortShieldL293d.html#a1b3c5af1fe94b446db4cfa3a385b1f9a">pmotor</a>-&gt;setSpeed(inSpeed);</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    <span class="keywordflow">return</span> oldspeed;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;}</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div><div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="classPortShieldL293d.html#a7c231e381f75d1a84e0673f3d6977d9e">   38</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classPortShieldL293d.html#a7c231e381f75d1a84e0673f3d6977d9e">PortShieldL293d::MoveLeftDir</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inDuration)</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;{</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="preprocessor">#ifdef ACCESSORIES_DEBUG_MODE</span></div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    Serial.print(F(<span class="stringliteral">&quot; PortShieldL293d MoveLeftDir() &quot;</span>));</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    <span class="keywordflow">if</span> (inDuration != 0)</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    {</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;        Serial.print(F(<span class="stringliteral">&quot;for &quot;</span>));</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;        Serial.print(inDuration);</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;        Serial.println(F(<span class="stringliteral">&quot;ms&quot;</span>));</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    }</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    <span class="keywordflow">else</span></div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;        Serial.println(<span class="stringliteral">&quot;&quot;</span>);</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    this-&gt;<a class="code" href="classPortShieldL293d.html#a1b3c5af1fe94b446db4cfa3a385b1f9a">pmotor</a>-&gt;run(FORWARD);</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    <span class="keywordflow">if</span> (inDuration != 0)</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    {</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;        delay(inDuration);</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;        this-&gt;<a class="code" href="classPortShieldL293d.html#a1b3c5af1fe94b446db4cfa3a385b1f9a">pmotor</a>-&gt;run(RELEASE);</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    }</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    this-&gt;<a class="code" href="classPort.html#ad71ca654c312fdec59194e393411fce0">state</a> = PORT_LEFT;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;}</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno"><a class="line" href="classPortShieldL293d.html#a29b413302c9e902382445bad17651ec3">   61</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classPortShieldL293d.html#a29b413302c9e902382445bad17651ec3">PortShieldL293d::MoveRightDir</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inDuration)</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;{</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;<span class="preprocessor">#ifdef ACCESSORIES_DEBUG_MODE</span></div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    <span class="comment">//Serial.print(this-&gt;pmotor-&gt;motornum);</span></div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;    Serial.print(F(<span class="stringliteral">&quot; PortShieldL293d MoveRightDir() &quot;</span>));</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;    <span class="keywordflow">if</span> (inDuration != 0)</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    {</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;        Serial.print(F(<span class="stringliteral">&quot;for &quot;</span>));</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;        Serial.print(inDuration);</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;        Serial.println(F(<span class="stringliteral">&quot;ms&quot;</span>));</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;    }</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;    <span class="keywordflow">else</span></div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;        Serial.println(<span class="stringliteral">&quot;&quot;</span>);</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;    this-&gt;<a class="code" href="classPortShieldL293d.html#a1b3c5af1fe94b446db4cfa3a385b1f9a">pmotor</a>-&gt;run(BACKWARD);</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;    <span class="keywordflow">if</span> (inDuration != 0)</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    {</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;        delay(inDuration);</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;        this-&gt;<a class="code" href="classPortShieldL293d.html#a1b3c5af1fe94b446db4cfa3a385b1f9a">pmotor</a>-&gt;run(RELEASE);</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;    }</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    this-&gt;<a class="code" href="classPort.html#ad71ca654c312fdec59194e393411fce0">state</a> = PORT_RIGHT;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;}</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div><div class="line"><a name="l00085"></a><span class="lineno"><a class="line" href="classPortShieldL293d.html#aba96b3fbfe12540c2c99a4a59cbac895">   85</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classPortShieldL293d.html#aba96b3fbfe12540c2c99a4a59cbac895">PortShieldL293d::MoveStop</a>()</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;{</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;    this-&gt;<a class="code" href="classPortShieldL293d.html#a1b3c5af1fe94b446db4cfa3a385b1f9a">pmotor</a>-&gt;run(RELEASE);</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;    this-&gt;<a class="code" href="classPort.html#ad71ca654c312fdec59194e393411fce0">state</a> = PORT_STOP;</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;}</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;<span class="preprocessor">#ifdef ACCESSORIES_PRINT_ACCESSORIES</span></div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;<span class="keywordtype">void</span> PortShieldL293d::printPort()</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;{</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;    Serial.print(F(<span class="stringliteral">&quot;[PortShieldL293d port: M&quot;</span>));</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;    Serial.print((<span class="keywordtype">int</span>)this-&gt;printedOutPort, DEC);</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;    Serial.print(F(<span class="stringliteral">&quot; speed:&quot;</span>));</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;    Serial.print((<span class="keywordtype">int</span>)this-&gt;printedSpeed, DEC);</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;    Serial.print(F(<span class="stringliteral">&quot;]&quot;</span>));</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;}</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classPortShieldL293d_html_aba96b3fbfe12540c2c99a4a59cbac895"><div class="ttname"><a href="classPortShieldL293d.html#aba96b3fbfe12540c2c99a4a59cbac895">PortShieldL293d::MoveStop</a></div><div class="ttdeci">void MoveStop()</div><div class="ttdef"><b>Definition:</b> <a href="PortShieldL293d_8cpp_source.html#l00085">PortShieldL293d.cpp:85</a></div></div>
<div class="ttc" id="classPortShieldL293d_html_a29b413302c9e902382445bad17651ec3"><div class="ttname"><a href="classPortShieldL293d.html#a29b413302c9e902382445bad17651ec3">PortShieldL293d::MoveRightDir</a></div><div class="ttdeci">void MoveRightDir(unsigned long inDuration = 0)</div><div class="ttdef"><b>Definition:</b> <a href="PortShieldL293d_8cpp_source.html#l00061">PortShieldL293d.cpp:61</a></div></div>
<div class="ttc" id="classPort_html_ad71ca654c312fdec59194e393411fce0"><div class="ttname"><a href="classPort.html#ad71ca654c312fdec59194e393411fce0">Port::state</a></div><div class="ttdeci">PORT_STATE state</div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00067">Port.hpp:67</a></div></div>
<div class="ttc" id="classPortShieldL293d_html_a7c231e381f75d1a84e0673f3d6977d9e"><div class="ttname"><a href="classPortShieldL293d.html#a7c231e381f75d1a84e0673f3d6977d9e">PortShieldL293d::MoveLeftDir</a></div><div class="ttdeci">void MoveLeftDir(unsigned long inDuration = 0)</div><div class="ttdef"><b>Definition:</b> <a href="PortShieldL293d_8cpp_source.html#l00038">PortShieldL293d.cpp:38</a></div></div>
<div class="ttc" id="classPort_html_a676359ed59bf5091126fd96e1a04cafa"><div class="ttname"><a href="classPort.html#a676359ed59bf5091126fd96e1a04cafa">Port::SetSpeed</a></div><div class="ttdeci">virtual int SetSpeed(int inSpeed)</div><div class="ttdef"><b>Definition:</b> <a href="Port_8cpp_source.html#l00108">Port.cpp:108</a></div></div>
<div class="ttc" id="classPortShieldL293d_html_ad40ad4a8cc43e383b7b5d8cb1813b2ea"><div class="ttname"><a href="classPortShieldL293d.html#ad40ad4a8cc43e383b7b5d8cb1813b2ea">PortShieldL293d::SetSpeed</a></div><div class="ttdeci">int SetSpeed(uint8_t inSpeed)</div><div class="ttdef"><b>Definition:</b> <a href="PortShieldL293d_8cpp_source.html#l00031">PortShieldL293d.cpp:31</a></div></div>
<div class="ttc" id="classPortShieldL293d_html_a1b3c5af1fe94b446db4cfa3a385b1f9a"><div class="ttname"><a href="classPortShieldL293d.html#a1b3c5af1fe94b446db4cfa3a385b1f9a">PortShieldL293d::pmotor</a></div><div class="ttdeci">AF_DCMotor * pmotor</div><div class="ttdef"><b>Definition:</b> <a href="PortShieldL293d_8hpp_source.html#l00031">PortShieldL293d.hpp:31</a></div></div>
<div class="ttc" id="classPort_html_a110847fdec661d0e94a3a22edd9fe32a"><div class="ttname"><a href="classPort.html#a110847fdec661d0e94a3a22edd9fe32a">Port::begin</a></div><div class="ttdeci">virtual void begin()</div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00099">Port.hpp:99</a></div></div>
<div class="ttc" id="classPortShieldL293d_html_a6ec767de5bb868a01750b9d1a6d14955"><div class="ttname"><a href="classPortShieldL293d.html#a6ec767de5bb868a01750b9d1a6d14955">PortShieldL293d::PortShieldL293d</a></div><div class="ttdeci">PortShieldL293d()</div><div class="ttdef"><b>Definition:</b> <a href="PortShieldL293d_8cpp_source.html#l00013">PortShieldL293d.cpp:13</a></div></div>
<div class="ttc" id="Accessories_8h_html"><div class="ttname"><a href="Accessories_8h.html">Accessories.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d41d8cd98f00b204e9800998ecf8427e.html">src</a></li><li class="navelem"><b>PortShieldL293d.cpp</b></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
